%global shortfontname orbitron
%global fontname tlomt-%{shortfontname}
%global fontconf 61-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.000
Release:        5%{?dist}
Summary:        Geometric sans-serif typeface

Group:          User Interface/X
License:        OFL
URL:            http://www.theleagueofmoveabletype.com/
Source0:        http://s3.amazonaws.com/theleague-production/fonts/%{shortfontname}.zip
Source1:        %{name}-fontconfig.conf

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Orbitron is a geometric sans-serif typeface intended for display purposes. It
features four weights (light, medium, bold, and black), a stylistic
alternative, small caps, and a ton of alternate glyphs. Orbitron was designed
so that graphic designers in the future will have some alternative to typefaces
like Eurostile or Bank Gothic. If you’ve ever seen a futuristic sci-fi movie,
you have may noticed that all other fonts have been lost or destroyed in the
apocalypse that led humans to flee earth. Only those very few geometric
typefaces have survived to be used on spaceship exteriors, spacestation
signage, monopolistic corporate branding, uniforms featuring aerodynamic
shoulder pads, etc. Of course Orbitron could also be used on the posters for
the movies portraying this inevitable future.

%prep
%setup -q -n Orbitron
#
# supress windows EOL style
#
sed 's/\r//' Open\ Font\ License.txt > License.new
touch -r Open\ Font\ License.txt License.new
mv License.new Open\ Font\ License.txt


%build


%install
rm -rf %{buildroot} 

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p OTF/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.otf

%doc readme.txt
%doc Open\ Font\ License.txt

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.000-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 26 2010 alexisis-pristontale@hotmail.com - 1.000-2
- bad version naming

* Thu Aug 26 2010 Lameire Alexis <alexisis-pristontale@hotmail.com> - 1.0.0.0-1
- initial release

